1# Makefile.in generated by automake 1.16.2 from Makefile.am.
2# Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17#  Copyright 2005 Red Hat, Inc.
18#
19#  Permission to use, copy, modify, distribute, and sell this software
20#  and its documentation for any purpose is hereby granted without
21#  fee, provided that the above copyright notice appear in all copies
22#  and that both that copyright notice and this permission notice
23#  appear in supporting documentation, and that the name of Red Hat
24#  not be used in advertising or publicity pertaining to distribution
25#  of the software without specific, written prior permission.  Red
26#  Hat makes no representations about the suitability of this software
27#  for any purpose.  It is provided "as is" without express or implied
28#  warranty.
29#
30#  RED HAT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
31#  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
32#  NO EVENT SHALL RED HAT BE LIABLE FOR ANY SPECIAL, INDIRECT OR
33#  CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
34#  OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
35#  NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
36#  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
37
38
39am__is_gnu_make = { \
40  if test -z '$(MAKELEVEL)'; then \
41    false; \
42  elif test -n '$(MAKE_HOST)'; then \
43    true; \
44  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
45    true; \
46  else \
47    false; \
48  fi; \
49}
50am__make_running_with_option = \
51  case $${target_option-} in \
52      ?) ;; \
53      *) echo "am__make_running_with_option: internal error: invalid" \
54              "target option '$${target_option-}' specified" >&2; \
55         exit 1;; \
56  esac; \
57  has_opt=no; \
58  sane_makeflags=$$MAKEFLAGS; \
59  if $(am__is_gnu_make); then \
60    sane_makeflags=$$MFLAGS; \
61  else \
62    case $$MAKEFLAGS in \
63      *\\[\ \	]*) \
64        bs=\\; \
65        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
66          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
67    esac; \
68  fi; \
69  skip_next=no; \
70  strip_trailopt () \
71  { \
72    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
73  }; \
74  for flg in $$sane_makeflags; do \
75    test $$skip_next = yes && { skip_next=no; continue; }; \
76    case $$flg in \
77      *=*|--*) continue;; \
78        -*I) strip_trailopt 'I'; skip_next=yes;; \
79      -*I?*) strip_trailopt 'I';; \
80        -*O) strip_trailopt 'O'; skip_next=yes;; \
81      -*O?*) strip_trailopt 'O';; \
82        -*l) strip_trailopt 'l'; skip_next=yes;; \
83      -*l?*) strip_trailopt 'l';; \
84      -[dEDm]) skip_next=yes;; \
85      -[JT]) skip_next=yes;; \
86    esac; \
87    case $$flg in \
88      *$$target_option*) has_opt=yes; break;; \
89    esac; \
90  done; \
91  test $$has_opt = yes
92am__make_dryrun = (target_option=n; $(am__make_running_with_option))
93am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
94pkgdatadir = $(datadir)/util-macros
95pkgincludedir = $(includedir)/util-macros
96pkglibdir = $(libdir)/util-macros
97pkglibexecdir = $(libexecdir)/util-macros
98am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
99install_sh_DATA = $(install_sh) -c -m 644
100install_sh_PROGRAM = $(install_sh) -c
101install_sh_SCRIPT = $(install_sh) -c
102INSTALL_HEADER = $(INSTALL_DATA)
103transform = $(program_transform_name)
104NORMAL_INSTALL = :
105PRE_INSTALL = :
106POST_INSTALL = :
107NORMAL_UNINSTALL = :
108PRE_UNINSTALL = :
109POST_UNINSTALL = :
110subdir = .
111ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
112am__aclocal_m4_deps = $(top_srcdir)/xorgversion.m4 \
113	$(top_srcdir)/configure.ac
114am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
115	$(ACLOCAL_M4)
116DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
117	$(am__configure_deps) $(dist_pkgdata_DATA) $(am__DIST_COMMON)
118am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
119 configure.lineno config.status.lineno
120mkinstalldirs = $(install_sh) -d
121CONFIG_CLEAN_FILES = xorg-macros.pc xorg-macros.m4
122CONFIG_CLEAN_VPATH_FILES =
123AM_V_P = $(am__v_P_$(V))
124am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
125am__v_P_0 = false
126am__v_P_1 = :
127AM_V_GEN = $(am__v_GEN_$(V))
128am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
129am__v_GEN_0 = @echo "  GEN     " $@;
130am__v_GEN_1 =
131AM_V_at = $(am__v_at_$(V))
132am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
133am__v_at_0 = @
134am__v_at_1 =
135SOURCES =
136DIST_SOURCES =
137am__can_run_installinfo = \
138  case $$AM_UPDATE_INFO_DIR in \
139    n|no|NO) false;; \
140    *) (install-info --version) >/dev/null 2>&1;; \
141  esac
142am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
143am__vpath_adj = case $$p in \
144    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
145    *) f=$$p;; \
146  esac;
147am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
148am__install_max = 40
149am__nobase_strip_setup = \
150  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
151am__nobase_strip = \
152  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
153am__nobase_list = $(am__nobase_strip_setup); \
154  for p in $$list; do echo "$$p $$p"; done | \
155  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
156  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
157    if (++n[$$2] == $(am__install_max)) \
158      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
159    END { for (dir in files) print dir, files[dir] }'
160am__base_list = \
161  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
162  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
163am__uninstall_files_from_dir = { \
164  test -z "$$files" \
165    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
166    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
167         $(am__cd) "$$dir" && rm -f $$files; }; \
168  }
169am__installdirs = "$(DESTDIR)$(aclocaldir)" "$(DESTDIR)$(pkgdatadir)" \
170	"$(DESTDIR)$(pkgconfigdir)"
171DATA = $(aclocal_DATA) $(dist_pkgdata_DATA) $(pkgconfig_DATA)
172am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
173am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/xorg-macros.m4.in \
174	$(srcdir)/xorg-macros.pc.in $(srcdir)/xorgversion.m4 COPYING \
175	ChangeLog INSTALL install-sh missing
176DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
177distdir = $(PACKAGE)-$(VERSION)
178top_distdir = $(distdir)
179am__remove_distdir = \
180  if test -d "$(distdir)"; then \
181    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
182      && rm -rf "$(distdir)" \
183      || { sleep 5 && rm -rf "$(distdir)"; }; \
184  else :; fi
185am__post_remove_distdir = $(am__remove_distdir)
186DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
187GZIP_ENV = --best
188DIST_TARGETS = dist-bzip2 dist-gzip
189distuninstallcheck_listfiles = find . -type f -print
190am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
191  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
192distcleancheck_listfiles = find . -type f -print
193ACLOCAL = ${SHELL} /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3/missing aclocal-1.16
194AMTAR = $${TAR-tar}
195AM_DEFAULT_VERBOSITY = 1
196AUTOCONF = ${SHELL} /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3/missing autoconf
197AUTOHEADER = ${SHELL} /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3/missing autoheader
198AUTOMAKE = ${SHELL} /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3/missing automake-1.16
199AWK = /usr/bin/awk
200CHANGELOG_CMD = ((GIT_DIR=$(top_srcdir)/.git git log > $(top_srcdir)/.changelog.tmp) 2>/dev/null && mv $(top_srcdir)/.changelog.tmp $(top_srcdir)/ChangeLog) || (rm -f $(top_srcdir)/.changelog.tmp; test -e $(top_srcdir)/ChangeLog || ( touch $(top_srcdir)/ChangeLog; echo 'git failed to create ChangeLog: installing empty ChangeLog.' >&2))
201CYGPATH_W = echo
202DEFS = -DPACKAGE_NAME=\"util-macros\" -DPACKAGE_TARNAME=\"util-macros\" -DPACKAGE_VERSION=\"1.19.3\" -DPACKAGE_STRING=\"util-macros\ 1.19.3\" -DPACKAGE_BUGREPORT=\"https://gitlab.freedesktop.org/xorg/util/macros/issues\" -DPACKAGE_URL=\"\" -DPACKAGE=\"util-macros\" -DVERSION=\"1.19.3\" -DPACKAGE_VERSION_MAJOR=1 -DPACKAGE_VERSION_MINOR=19 -DPACKAGE_VERSION_PATCHLEVEL=3
203ECHO_C =
204ECHO_N = -n
205ECHO_T =
206INSTALL = /usr/bin/install -c
207INSTALL_DATA = install  -m 0644
208INSTALL_PROGRAM = install  -s -m 555
209INSTALL_SCRIPT = install  -m 555
210INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
211LIBOBJS =
212LIBS =
213LTLIBOBJS =
214MAKEINFO = ${SHELL} /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3/missing makeinfo
215MKDIR_P = /bin/mkdir -p
216PACKAGE = util-macros
217PACKAGE_BUGREPORT = https://gitlab.freedesktop.org/xorg/util/macros/issues
218PACKAGE_NAME = util-macros
219PACKAGE_STRING = util-macros 1.19.3
220PACKAGE_TARNAME = util-macros
221PACKAGE_URL =
222PACKAGE_VERSION = 1.19.3
223PATH_SEPARATOR = :
224SET_MAKE =
225SHELL = /bin/sh
226STRIP =
227VERSION = 1.19.3
228abs_builddir = /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3
229abs_srcdir = /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3
230abs_top_builddir = /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3
231abs_top_srcdir = /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3
232am__leading_dot = .
233am__tar = $${TAR-tar} chof - "$$tardir"
234am__untar = $${TAR-tar} xf -
235bindir = ${exec_prefix}/bin
236build_alias = x86_64-portbld-dragonfly6.3
237builddir = .
238datadir = ${datarootdir}
239datarootdir = ${prefix}/share
240docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
241dvidir = ${docdir}
242exec_prefix = ${prefix}
243host_alias =
244htmldir = ${docdir}
245includedir = ${prefix}/include
246infodir = /usr/local/share/info
247install_sh = ${SHELL} /opengrok/src/dports/devel/xorg-macros/util-macros-1.19.3/install-sh
248libdir = ${exec_prefix}/lib
249libexecdir = ${exec_prefix}/libexec
250localedir = ${datarootdir}/locale
251localstatedir = /var
252mandir = /usr/local/man
253mkdir_p = $(MKDIR_P)
254oldincludedir = /usr/include
255pdfdir = ${docdir}
256prefix = /usr/local
257program_transform_name = s,x,x,
258psdir = ${docdir}
259runstatedir = ${localstatedir}/run
260sbindir = ${exec_prefix}/sbin
261sharedstatedir = ${prefix}/com
262srcdir = .
263sysconfdir = ${prefix}/etc
264target_alias =
265top_build_prefix =
266top_builddir = .
267top_srcdir = .
268aclocaldir = $(datadir)/aclocal
269aclocal_DATA = xorg-macros.m4
270dist_pkgdata_DATA = INSTALL
271pkgconfigdir = $(datadir)/pkgconfig
272pkgconfig_DATA = xorg-macros.pc
273EXTRA_DIST = README.md
274all: all-am
275
276.SUFFIXES:
277am--refresh: Makefile
278	@:
279$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
280	@for dep in $?; do \
281	  case '$(am__configure_deps)' in \
282	    *$$dep*) \
283	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
284	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
285		&& exit 0; \
286	      exit 1;; \
287	  esac; \
288	done; \
289	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
290	$(am__cd) $(top_srcdir) && \
291	  $(AUTOMAKE) --foreign Makefile
292Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
293	@case '$?' in \
294	  *config.status*) \
295	    echo ' $(SHELL) ./config.status'; \
296	    $(SHELL) ./config.status;; \
297	  *) \
298	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
299	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
300	esac;
301
302$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
303	$(SHELL) ./config.status --recheck
304
305$(top_srcdir)/configure:  $(am__configure_deps)
306	$(am__cd) $(srcdir) && $(AUTOCONF)
307$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
308	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
309$(am__aclocal_m4_deps):
310xorg-macros.pc: $(top_builddir)/config.status $(srcdir)/xorg-macros.pc.in
311	cd $(top_builddir) && $(SHELL) ./config.status $@
312xorg-macros.m4: $(top_builddir)/config.status $(srcdir)/xorg-macros.m4.in $(srcdir)/xorgversion.m4
313	cd $(top_builddir) && $(SHELL) ./config.status $@
314install-aclocalDATA: $(aclocal_DATA)
315	@$(NORMAL_INSTALL)
316	@list='$(aclocal_DATA)'; test -n "$(aclocaldir)" || list=; \
317	if test -n "$$list"; then \
318	  echo " $(MKDIR_P) '$(DESTDIR)$(aclocaldir)'"; \
319	  $(MKDIR_P) "$(DESTDIR)$(aclocaldir)" || exit 1; \
320	fi; \
321	for p in $$list; do \
322	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
323	  echo "$$d$$p"; \
324	done | $(am__base_list) | \
325	while read files; do \
326	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(aclocaldir)'"; \
327	  $(INSTALL_DATA) $$files "$(DESTDIR)$(aclocaldir)" || exit $$?; \
328	done
329
330uninstall-aclocalDATA:
331	@$(NORMAL_UNINSTALL)
332	@list='$(aclocal_DATA)'; test -n "$(aclocaldir)" || list=; \
333	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
334	dir='$(DESTDIR)$(aclocaldir)'; $(am__uninstall_files_from_dir)
335install-dist_pkgdataDATA: $(dist_pkgdata_DATA)
336	@$(NORMAL_INSTALL)
337	@list='$(dist_pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
338	if test -n "$$list"; then \
339	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgdatadir)'"; \
340	  $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)" || exit 1; \
341	fi; \
342	for p in $$list; do \
343	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
344	  echo "$$d$$p"; \
345	done | $(am__base_list) | \
346	while read files; do \
347	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
348	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
349	done
350
351uninstall-dist_pkgdataDATA:
352	@$(NORMAL_UNINSTALL)
353	@list='$(dist_pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
354	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
355	dir='$(DESTDIR)$(pkgdatadir)'; $(am__uninstall_files_from_dir)
356install-pkgconfigDATA: $(pkgconfig_DATA)
357	@$(NORMAL_INSTALL)
358	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
359	if test -n "$$list"; then \
360	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
361	  $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
362	fi; \
363	for p in $$list; do \
364	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
365	  echo "$$d$$p"; \
366	done | $(am__base_list) | \
367	while read files; do \
368	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
369	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
370	done
371
372uninstall-pkgconfigDATA:
373	@$(NORMAL_UNINSTALL)
374	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
375	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
376	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
377tags TAGS:
378
379ctags CTAGS:
380
381cscope cscopelist:
382
383
384distdir: $(BUILT_SOURCES)
385	$(MAKE) $(AM_MAKEFLAGS) distdir-am
386
387distdir-am: $(DISTFILES)
388	$(am__remove_distdir)
389	test -d "$(distdir)" || mkdir "$(distdir)"
390	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
391	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
392	list='$(DISTFILES)'; \
393	  dist_files=`for file in $$list; do echo $$file; done | \
394	  sed -e "s|^$$srcdirstrip/||;t" \
395	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
396	case $$dist_files in \
397	  */*) $(MKDIR_P) `echo "$$dist_files" | \
398			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
399			   sort -u` ;; \
400	esac; \
401	for file in $$dist_files; do \
402	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
403	  if test -d $$d/$$file; then \
404	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
405	    if test -d "$(distdir)/$$file"; then \
406	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
407	    fi; \
408	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
409	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
410	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
411	    fi; \
412	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
413	  else \
414	    test -f "$(distdir)/$$file" \
415	    || cp -p $$d/$$file "$(distdir)/$$file" \
416	    || exit 1; \
417	  fi; \
418	done
419	$(MAKE) $(AM_MAKEFLAGS) \
420	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
421	  dist-hook
422	-test -n "$(am__skip_mode_fix)" \
423	|| find "$(distdir)" -type d ! -perm -755 \
424		-exec chmod u+rwx,go+rx {} \; -o \
425	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
426	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
427	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
428	|| chmod -R a+r "$(distdir)"
429dist-gzip: distdir
430	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
431	$(am__post_remove_distdir)
432dist-bzip2: distdir
433	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
434	$(am__post_remove_distdir)
435
436dist-lzip: distdir
437	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
438	$(am__post_remove_distdir)
439
440dist-xz: distdir
441	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
442	$(am__post_remove_distdir)
443
444dist-zstd: distdir
445	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
446	$(am__post_remove_distdir)
447
448dist-tarZ: distdir
449	@echo WARNING: "Support for distribution archives compressed with" \
450		       "legacy program 'compress' is deprecated." >&2
451	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
452	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
453	$(am__post_remove_distdir)
454
455dist-shar: distdir
456	@echo WARNING: "Support for shar distribution archives is" \
457	               "deprecated." >&2
458	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
459	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
460	$(am__post_remove_distdir)
461
462dist-zip: distdir
463	-rm -f $(distdir).zip
464	zip -rq $(distdir).zip $(distdir)
465	$(am__post_remove_distdir)
466
467dist dist-all:
468	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
469	$(am__post_remove_distdir)
470
471# This target untars the dist file and tries a VPATH configuration.  Then
472# it guarantees that the distribution is self-contained by making another
473# tarfile.
474distcheck: dist
475	case '$(DIST_ARCHIVES)' in \
476	*.tar.gz*) \
477	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
478	*.tar.bz2*) \
479	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
480	*.tar.lz*) \
481	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
482	*.tar.xz*) \
483	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
484	*.tar.Z*) \
485	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
486	*.shar.gz*) \
487	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
488	*.zip*) \
489	  unzip $(distdir).zip ;;\
490	*.tar.zst*) \
491	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
492	esac
493	chmod -R a-w $(distdir)
494	chmod u+w $(distdir)
495	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
496	chmod a-w $(distdir)
497	test -d $(distdir)/_build || exit 0; \
498	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
499	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
500	  && am__cwd=`pwd` \
501	  && $(am__cd) $(distdir)/_build/sub \
502	  && ../../configure \
503	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
504	    $(DISTCHECK_CONFIGURE_FLAGS) \
505	    --srcdir=../.. --prefix="$$dc_install_base" \
506	  && $(MAKE) $(AM_MAKEFLAGS) \
507	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
508	  && $(MAKE) $(AM_MAKEFLAGS) check \
509	  && $(MAKE) $(AM_MAKEFLAGS) install \
510	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
511	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
512	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
513	        distuninstallcheck \
514	  && chmod -R a-w "$$dc_install_base" \
515	  && ({ \
516	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
517	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
518	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
519	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
520	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
521	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
522	  && rm -rf "$$dc_destdir" \
523	  && $(MAKE) $(AM_MAKEFLAGS) dist \
524	  && rm -rf $(DIST_ARCHIVES) \
525	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
526	  && cd "$$am__cwd" \
527	  || exit 1
528	$(am__post_remove_distdir)
529	@(echo "$(distdir) archives ready for distribution: "; \
530	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
531	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
532distuninstallcheck:
533	@test -n '$(distuninstallcheck_dir)' || { \
534	  echo 'ERROR: trying to run $@ with an empty' \
535	       '$$(distuninstallcheck_dir)' >&2; \
536	  exit 1; \
537	}; \
538	$(am__cd) '$(distuninstallcheck_dir)' || { \
539	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
540	  exit 1; \
541	}; \
542	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
543	   || { echo "ERROR: files left after uninstall:" ; \
544	        if test -n "$(DESTDIR)"; then \
545	          echo "  (check DESTDIR support)"; \
546	        fi ; \
547	        $(distuninstallcheck_listfiles) ; \
548	        exit 1; } >&2
549distcleancheck: distclean
550	@if test '$(srcdir)' = . ; then \
551	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
552	  exit 1 ; \
553	fi
554	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
555	  || { echo "ERROR: files left in build directory after distclean:" ; \
556	       $(distcleancheck_listfiles) ; \
557	       exit 1; } >&2
558check-am: all-am
559check: check-am
560all-am: Makefile $(DATA)
561installdirs:
562	for dir in "$(DESTDIR)$(aclocaldir)" "$(DESTDIR)$(pkgdatadir)" "$(DESTDIR)$(pkgconfigdir)"; do \
563	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
564	done
565install: install-am
566install-exec: install-exec-am
567install-data: install-data-am
568uninstall: uninstall-am
569
570install-am: all-am
571	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
572
573installcheck: installcheck-am
574install-strip:
575	if test -z '$(STRIP)'; then \
576	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
577	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
578	      install; \
579	else \
580	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
581	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
582	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
583	fi
584mostlyclean-generic:
585
586clean-generic:
587
588distclean-generic:
589	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
590	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
591
592maintainer-clean-generic:
593	@echo "This command is intended for maintainers to use"
594	@echo "it deletes files that may require special tools to rebuild."
595clean: clean-am
596
597clean-am: clean-generic mostlyclean-am
598
599distclean: distclean-am
600	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
601	-rm -f Makefile
602distclean-am: clean-am distclean-generic
603
604dvi: dvi-am
605
606dvi-am:
607
608html: html-am
609
610html-am:
611
612info: info-am
613
614info-am:
615
616install-data-am: install-aclocalDATA install-dist_pkgdataDATA \
617	install-pkgconfigDATA
618	@$(NORMAL_INSTALL)
619	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
620install-dvi: install-dvi-am
621
622install-dvi-am:
623
624install-exec-am:
625
626install-html: install-html-am
627
628install-html-am:
629
630install-info: install-info-am
631
632install-info-am:
633
634install-man:
635
636install-pdf: install-pdf-am
637
638install-pdf-am:
639
640install-ps: install-ps-am
641
642install-ps-am:
643
644installcheck-am:
645
646maintainer-clean: maintainer-clean-am
647	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
648	-rm -rf $(top_srcdir)/autom4te.cache
649	-rm -f Makefile
650maintainer-clean-am: distclean-am maintainer-clean-generic
651
652mostlyclean: mostlyclean-am
653
654mostlyclean-am: mostlyclean-generic
655
656pdf: pdf-am
657
658pdf-am:
659
660ps: ps-am
661
662ps-am:
663
664uninstall-am: uninstall-aclocalDATA uninstall-dist_pkgdataDATA \
665	uninstall-pkgconfigDATA
666
667.MAKE: install-am install-data-am install-strip
668
669.PHONY: all all-am am--refresh check check-am clean clean-generic \
670	cscopelist-am ctags-am dist dist-all dist-bzip2 dist-gzip \
671	dist-hook dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
672	dist-zstd distcheck distclean distclean-generic distcleancheck \
673	distdir distuninstallcheck dvi dvi-am html html-am info \
674	info-am install install-aclocalDATA install-am install-data \
675	install-data-am install-data-hook install-dist_pkgdataDATA \
676	install-dvi install-dvi-am install-exec install-exec-am \
677	install-html install-html-am install-info install-info-am \
678	install-man install-pdf install-pdf-am install-pkgconfigDATA \
679	install-ps install-ps-am install-strip installcheck \
680	installcheck-am installdirs maintainer-clean \
681	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
682	pdf-am ps ps-am tags-am uninstall uninstall-aclocalDATA \
683	uninstall-am uninstall-dist_pkgdataDATA \
684	uninstall-pkgconfigDATA
685
686.PRECIOUS: Makefile
687
688
689# Previous versions used to install xorgversion.m4, now integrated
690# into xorg-macros.m4.  Explicitly remove that old file in order not
691# to have a macro defined in two different files.
692install-data-hook:
693	rm -f $(DESTDIR)$(aclocaldir)/xorgversion.m4
694
695.PHONY: ChangeLog
696
697ChangeLog:
698	$(CHANGELOG_CMD)
699
700dist-hook: ChangeLog
701
702# Tell versions [3.59,3.63) of GNU make to not export all variables.
703# Otherwise a system limit (for SysV at least) may be exceeded.
704.NOEXPORT:
705